Bug 953720 - Can not login the spice guest with password set in qemu.conf
Can not login the spice guest with password set in qemu.conf
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Ján Tomko
Virtualization Bugs
:
Depends On:
Blocks: 953721
  Show dependency treegraph
 
Reported: 2013-04-18 23:30 EDT by Xuesong Zhang
Modified: 2014-06-17 20:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: libvirt-1.0.5-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 953721 (view as bug list)
Environment:
Last Closed: 2014-06-13 05:26:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Xuesong Zhang 2013-04-18 23:30:19 EDT
Description of problem:
Can not login the spice guest with password set in qemu.conf

Version-Release number of selected component (if applicable):
libvirt-1.0.3-1.el7.x86_64
qemu-kvm-1.3.0-6.el7.x86_64
kernel-3.8.0-0.43.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. enable the spice password in qemu.conf file
spice_password = "XYZ12345"

2. restart libvirtd service
# systemctl restart libvirtd

3. prepare one health guest with spice type graphics, start it in the virt-manager

Actual results:
The password is required, but can't login with the password set in qemu.conf.

Expected results:
The password is required, should be login successfully with the password in qemu.conf


Additional info:
This bug is also occurred in rhel6
Comment 2 Ján Tomko 2013-04-19 01:10:45 EDT
Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2013-April/msg01444.html
Comment 3 Ján Tomko 2013-04-19 05:05:25 EDT
Fixed upstream by:
commit 4327df7eee75c5bec485703eb5b5f439f2fd371f
Author:     Ján Tomko <jtomko@redhat.com>
AuthorDate: 2013-04-19 07:00:44 +0200
Commit:     Ján Tomko <jtomko@redhat.com>
CommitDate: 2013-04-19 07:08:30 +0200

    qemu: fix default spice password setting
    
    Set spice password even if default VNC password hasn't been set.
Comment 4 zhe peng 2013-05-06 23:33:28 EDT
can reproduce with libvirt-1.0.3-1.el7.x86_64
verify with libvirt-1.0.5-1.el7.x86_64

step:
 for vnc:
1. enable the vnc password in qemu.conf file
vnc_password = "XYZ12345"

2. restart libvirtd service
# systemctl restart libvirtd

3. prepare one health guest with vnc type graphics, start it in the virt-manager

4. use virt-manager and virt-viewer all need input password.
   input correct pwd, can log in guest .

 for spice:
1. enable the spice password in qemu.conf file
spice_password = "XYZ12345"

2. restart libvirtd service
# systemctl restart libvirtd

3. prepare one health guest with spice type graphics, start it in the virt-manager

4. use virt-manager and virt-viewer all need input password.
   input correct pwd, can log in guest .
Comment 5 Ludek Smid 2014-06-13 05:26:16 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.